Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1595161

Steps to Reproduce:

1. make sure the puppet environment has puppet classes, but is not assigned to the organization or location that the host will be

created in

1. # hammer -d -v -u admin -p changeme host create --architecture-id="1" --domain-id="4" --environment-id="6" --ip="186.107.94.90"

--location-id="2" --mac="4c:f7:c4:84:e2:92" --medium-id="11" --name="jhutar$RANDOM" --operatingsystem-id="2"

--organization-id="1" --partition-table-id="94" --puppet-class-ids="6" --root-password="..."

Actual results:

The host is created, without any warning, but assignment of puppet classes is wrong at the end

Expected results:

The hammer command fails with error, that the provided environment doesn't belong to the organization/location

Related issues:

Related to Foreman - Bug #24348: hammer host create returns ISE when LibVirt ... Closed

Related to Foreman - Bug #24647: Assigning environment on hostgroup create do... Closed

Copied to Katello - Bug #24239: Katello host tests do not add puppet environm... Closed 07/09/2018

Associated revisions

Revision 488a94b5 - 07/23/2018 01:03 PM - Ivan Necas

Fixes #24199 - validate taxonomy of host environment on create (#5793)

Fixes #24199 - validate taxonomy of host environment on create

Otherwise, we allowed assigning the environment from different

organization/location to host and it was not consistent with the UI

behaviour.

It was also causing strange behavior when it comes to the assignment of

puppet classes.

History

#1 - 07/09/2018 11:52 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ivan Necas

- Pull request https://github.com/theforeman/foreman/pull/5793 added

#2 - 07/12/2018 12:51 PM - Stephen Benjamin

- Copied to Bug #24239: Katello host tests do not add puppet environment to orgs/locs added
#3 - 07/23/2018 12:50 PM - Marek Hulán

- Related to Bug #24348: hammer host create returns ISE when LibVirt compute-resource is not in correct organization added

#4 - 07/23/2018 01:03 PM - Marek Hulán

- Subject changed from Assigning environment on host create doesn't check the assignment of organization/location

 to Assigning environment on host create doesn't check the assignment of organization/location

- Target version set to 1.20.0

- Fixed in Releases 1.20.0 added

#5 - 07/23/2018 05:12 PM - Ivan Necas

- Status changed from Ready For Testing to Closed

Applied in changeset 488a94b5f2e94ae4cba6b9f33c1e2498c192eca2.

#6 - 08/17/2018 07:26 AM - Lukas Zapletal

- Related to Bug #24647: Assigning environment on hostgroup create doesn't check the assignment of organization/location added
